UMK: Add "target platform" option

06/04/2020 05:01 AM - Sender Ghost

Status: Rejected Start date: 06/04/2020

Priority: Normal Due date:

Assignee: % Done: 0%

Category: UMK Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

I propose to implement "target platform" (-t) option for umk, as suggested by Novo on the forum

Also propose to revert changes for "[-options]" in usage description.

Patch attached.

History

#1 - 06/04/2020 05:24 AM - Sender Ghost

- File deleted (uppsrc_ide-umk_r14541.diff)

#2 - 06/04/2020 05:24 AM - Sender Ghost

- File uppsrc_ide-umk_r14541.diff added

#3 - 06/04/2020 06:50 AM - Sender Ghost

- File deleted (uppsrc_ide-umk_r14541.diff)

#4 - 06/04/2020 06:50 AM - Sender Ghost

- File uppsrc_ide-umk_r14541.diff added

Added removal of target platform flag(s) from ide.mainconfigparam variable.

Please check platform flags for "OSX11" case, if possible.

#5 - 06/04/2020 06:56 AM - Sender Ghost

- File deleted (uppsrc_ide-umk_r14541.diff)

#6 - 06/04/2020 06:56 AM - Sender Ghost

- File uppsrc_ide-umk_r14541.diff added

Cosmetic fixes.

#7 - 06/04/2020 07:23 AM - Sender Ghost

- File deleted (uppsrc_ide-umk_r14541.diff)

#8 - 06/04/2020 07:23 AM - Sender Ghost

- File uppsrc_ide-umk_r14541.diff added

#9 - 06/04/2020 08:34 AM - Sender Ghost
https://www.ultimatepp.org/forums/index.php?t=usrinfo&#38;id=269
https://www.ultimatepp.org/forums/index.php?t=msg&#38;th=11023&#38;goto=54136#msg_54136
https://github.com/ultimatepp/ultimatepp/commit/3dcac3670f99a70b6a52b82defa329a5c3e4f181#diff-25dcbcf92403ab309bfe1d4bbc552ad7R261


- File deleted (uppsrc_ide-umk_r14541.diff)

#10 - 06/04/2020 08:35 AM - Sender Ghost

- File uppsrc_ide-umk_r14541.diff added

Also reverted changes for "[-options]".

#11 - 06/04/2020 11:15 AM - Sender Ghost

- File deleted (uppsrc_ide-umk_r14541.diff)

#12 - 06/04/2020 11:19 AM - Sender Ghost

- File uppsrc_umk_14542.diff added

Updated after 14542 revision.

Some examples:

% ./umk uppsrc umk CLANG -r -t=unknown -M=Makefile

Invalid target platform option: unknown

Available target platform options:

windows, linux, android, osx, osx11, freebsd, openbsd, netbsd, dragonfly, solaris

% ./umk uppsrc umk CLANG -rv -t=windows -M=Makefile

<..>

Build flags: WIN32

<..>

% ./umk uppsrc umk CLANG -rsv -t=linux -M=GNUMakefile

<..>

Build flags: POSIX LINUX

<..>

% ./umk uppsrc ide CLANG -rsv -t=freebsd -M=BSDMakefile

<..>

Build flags: POSIX BSD FREEBSD GUI

<..>

% ./umk uppsrc ide CLANG -rsv -t=openbsd -M=BSDMakefile +GUI,X11

<..>

Build flags: POSIX BSD OPENBSD GUI X11

<..>

#13 - 06/04/2020 11:21 AM - Sender Ghost

- Description updated

#14 - 06/10/2020 03:38 PM - Sender Ghost

- Status changed from Patch ready to Rejected

- Assignee deleted (Miroslav Fidler)

Ok, if there is no interest, then I close this feature request.
https://github.com/ultimatepp/ultimatepp/commit/3dcac3670f99a70b6a52b82defa329a5c3e4f181#diff-25dcbcf92403ab309bfe1d4bbc552ad7R261
https://github.com/ultimatepp/ultimatepp/commit/0ba1119dcf2a29830d19c93f4e622635bb895712
https://www.ultimatepp.org/forums/index.php?t=msg&#38;th=11023&#38;goto=54149#msg_54149


Files

uppsrc_umk_14542.diff 2.69 KB 06/04/2020 Sender Ghost
